# Pop!\_Kits

Discipline-specific toolkits for Makers

Pop Kits are sets of packages which are utilized to achieve a specific
discipline. These packages are hand-selected for quality, which is described
below. Example projects are provided using the packages together to produce a
final artifact, and a point of contact is provided for someone who designed the
example project.

## Kits

- [Pop!\_OS Electrical Engineering Kit](kits/electrical_engineering.md)

## Kit Selection

A Kit should be a self-contained set of packages that can be utilized together
to handle the entire life-cycle of an artifact, from design to manufacture if
possible. An example is a set of 3D CAD/CAM tools such as Blender and Cura,
which may be used to produce a 3D model.

## Kit Webpage

Each kit should have a webpage, identifying the point of contact, example
project, the required hardware, and the packages included in the kit. The point
of contact should participate in the writing of content describing the kit, and
how they used it. It would also be useful to have interviews and tutorials as
video content on the page, if it is helpful to makers utilizing the kit.

## Example Project

Each kit should have an example project, and a point of contact for the maker
who is responsible for that project. Ideally the example projects would be under
a free license, as listed by the [Free Software Foundation.](https://www.gnu.org/licenses/license-list.en.html)
The preference should be GPLv3 for design files, and CC-BY-SA-4.0 for
manufacturing files.

## Package Selection

Packages are selected with the following criteria, listed by priority:

- Pop!\_OS Compatibility - Is the software available for Pop!\_OS, or can it be packaged?
- Production Quality - Can production quality artifacts be produced with the software?
- Example Availability - Is there an example project available using this software?
- Freedom - Is the software free to use for any purpose?
- Aesthetics - Does the software fit beautifully into Pop!\_OS?

## Hardware Selection

The hardware utilized for designing and manufacturing the example project should
be showcased. This will naturally include a preference for vendors that respect
freedom and operate in the open hardware space, such as System76.
